Subject: Re: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist

From: Roland Winkler <[email-masked]>
Date: Sun, 17 Nov 2024 16:51:07 -0600

I looked at this old bug again (while working on BibTeX mode), and I
noticed that one piece of information was missing in this thread that
could be helpful:

Lars filed this report against Emacs 29.  Back then, I had still access
to emacs 25.1 and 27.1.  On the same machine emacs 25.1 needed about 2s,
whereas 27.1 needed 20s to initialize the customize buffer for
bibtex-biblatex-entry-alist.  So it seems something in the customize or
widget library was changed that resulted in the slowdown.  Nothing
changed on the side of BibTeX mode back then.

I just filed bug #74409 that is also about the customize buffer for
bibtex-biblatex-entry-alist.  It is likewise about a problem that exists
only with more recent versions of emacs.  But I do not know whether
these problems are truly related, or some symptoms just happen to be
similar.